Subject: [Ldap-dir] summer sale : A Longines Watch

From: "Tim Stratton" <[email-masked]>
Date: Mon, 17 Oct 2005 12:36:25 -0-200

I've been collecting and repairing watches for a number of years.  During that time I have put in over a thousand hours learning everything I possibly could about the subject. Early on I realized that finding information, reference material and supplies was difficult and time consuming.  I mean, it's out there to be found... it's just scattered... Assuming you are probably searching for the same things I was searching for, I decided to start this site, and complile that information in one place to share with others.The Rolex Watch company was founded by Hans Wildorf in 1905. He was an apprentice at a watch exporting firm at La Chaux de Fonds, France and later set up business on his own. At this time, his company was called 'Wilsdorf and Davies'. His first watch was a leather wrist watch, but at that time men carried pocket watches and wrist watches were deemed to be for women. Wilsdorf persevered, trying out new movements and styles, and before long wrist watches became fas!
 hionable. Wilsdorf and Davies soon became the leading watchmakers in the UK. 

_______________________________________________
Ldap-dir mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ldap-dir